Navigation Bar Top Applications Support Documentation Vendors Search Index Top Top

gld -- format string and buffer overflow vulnerabilities


Gld has been found vulnerable to multiple buffer overflows as well as multiple format string vulnerabilities.

An attacker could exploit this vulnerability to execute arbitrary code with the permissions of the user running Gld, the default user being root.

The FreeBSD port defaults to running gld as the root user. The risk of exploitation can be minimized by making gld listen on the loopback address only, or configure it to only accept connections from trusted smtp servers.



portaudit: gld -- format string and buffer overflow vulnerabilities

Disclaimer: The data contained on this page is derived from the VuXML document, please refer to the the original document for copyright information. The author of portaudit makes no claim of authorship or ownership of any of the information contained herein.

If you have found a vulnerability in a FreeBSD port not listed in the database, please contact the FreeBSD Security Officer. Refer to "FreeBSD Security Information" for more information.

Oliver Eikemeier <>